-- Schema: C6StagingPeriodico
-- Stored Procedure: RP_ST_CatalogoProdotti_20171026









CREATE procedure [C6StagingPeriodico].[RP_ST_CatalogoProdotti_20171026]
as

begin 

	-- Log esecuzione
	INSERT INTO LOG_ESECUZIONE_PERIODICO
		(Nome, Inizio, Nota)
	VALUES (
		'RP_ST_CatalogoProdotti',
		GETDATE(),
		'Elaborazione Trimestrale'
	)
--drop table C6StagingPeriodico.RP_CatalogoProdotti
	truncate table C6StagingPeriodico.RP_CatalogoProdotti

INSERT INTO [C6StagingPeriodico].[RP_CatalogoProdotti]
           ([ChiaveProdotto]
           ,[CodSottoprodotto]
           ,[CodInterno]
           ,[CodMaf]
           ,[CodAdeguatezza]
           ,[CodIsin]
           ,[TipoVersamento]
           ,[RischioPrSc]
           ,[StatoProdotto]
           ,[TipoPolizza]
           ,[NomeProdotto]
           ,[Visibilita]
           ,[PrezzoInEuro]
           ,[Alberatura]
           ,[DtScadenza]
           ,[Categoria]
           ,[Istituto]
           ,[Piazza]
           ,[PrezzoInValuta]
           ,[PrezzoValuta]
           ,[Codiceadb]
           ,[TipoProdotto]
           ,[RatingObbligazioni]
           ,[RischioMinimo]
           ,[CapRisparmio]
           ,[CapMinimo]
           ,[CapMinimoValuta]
           ,[CapMinSucc]
           ,[CapMinSuccValuta]
           ,[MinRispContr]
           ,[MinRispContrValuta]
           ,[SuccRispContr]
           ,[SuccRispContrValuta]
           ,[MinComm]
           ,[MinCommValuta]
           ,[DelegaGestionale]
           ,[TipologiaPerPick]
           ,[RischioPrezzo]
           ,[RegimeFiscale]
           ,[Quotato]
           ,[ClasseDiPrezzo]
           ,[Lineefinacc]
           ,[DurataContrattuale]
           ,[RiscFinFaseAcc]
           ,[OpzRendVital]
           ,[MetaA]
           ,[MetaB]
           ,[MetaC]
           ,[DtRifPrezzo]
           ,[CodTipoContratto]
           ,[PrezzoNetto]
           ,[PrezzoNettoValuta]
           ,[DtPrezzoNetto]
           ,[CodBloomberg]
           ,[DenomUnitLink]
           ,[DtInizioValidita]
           ,[Negoziabilita]
           ,[TassoTecnico]
           ,[TassoTecnicoValuta]
           ,[CollSkandia]
           ,[CodAssetSatellite]
           ,[Mercato]
           ,[AzOb]
           ,[Complessita]
           ,[Emittente]
           ,[GaranziaDemografica]
           ,[SocietaDiGestione]
           ,[IndPrz]
           ,[Differimento]
           ,[DtPrezzo]
           ,[TipoObbligazione]
           ,[TaglioMinimo]
           ,[IsAttivoRc]
           ,[RischioCredito]
           ,[Copertura]
           ,[VarP]
           ,[Diversificazione]
           ,[FlagCoreSatellite]
           ,[PerimetroCoreSatellite]
           ,[FondoCore])
   	select  [ChiaveProdotto]
           ,[CodSottoprodotto]
           ,[CodInterno]
           ,[CodMaf]
           ,[CodAdeguatezza]
           ,[CodIsin]
           ,[TipoVersamento]
           ,[RischioPrSc]
           ,[StatoProdotto]
           ,[TipoPolizza]
           ,[NomeProdotto]
           ,[Visibilita]
           ,[PrezzoInEuro]
           ,[Alberatura]
           ,[DtScadenza]
           ,[Categoria]
           ,[Istituto]
           ,[Piazza]
           ,[PrezzoInValuta]
           ,[PrezzoValuta]
           ,[Codiceadb]
-- INIZIO INTERVENTO MIGRAZIONE ASU3
--           ,[TipoProdotto]
		   ,CASE WHEN [TipoProdotto] = 'ASU3' then 'ASU1' else [TipoProdotto] END as TipoProdotto
-- FINE INTERVENTO MIGRAZIONE ASU3		   
           ,[RatingObbligazioni]
           ,[RischioMinimo]
           ,[CapRisparmio]
           ,[CapMinimo]
           ,[CapMinimoValuta]
           ,[CapMinSucc]
           ,[CapMinSuccValuta]
           ,[MinRispContr]
           ,[MinRispContrValuta]
           ,[SuccRispContr]
           ,[SuccRispContrValuta]
           ,[MinComm]
           ,[MinCommValuta]
           ,[DelegaGestionale]
           ,[TipologiaPerPick]
           ,[RischioPrezzo]
           ,[RegimeFiscale]
           ,[Quotato]
           ,[Cla
