-- Schema: C6Mart
-- Stored Procedure: RP_DM_PATRIMONIO_BF_20180201






-- =============================================
-- Author:		<Author,,Name>
-- Create date: <Create Date,,>
-- Description:	<Description,,>
-- Aggiunta GESTIONE EligoTitoli L192 (FCianfa, 01/12/2014)
-- =============================================
CREATE procedure [C6Mart].[RP_DM_PATRIMONIO_BF_20180201]
	-- Add the parameters for the stored procedure here
	--select * from c6mart.patrimonio_bf
AS
BEGIN
	-- SET NOCOUNT ON added to prevent extra result sets from
	-- interfering with SELECT statements.
SET NOCOUNT ON;

--delete TEMPORANEA per superare un problema del WS che restituisce una riga doppia

--delete from c6staging.spb_contr_sintesi
--where codicefiscale = 'MNTMRC82C08I608Y'
--and CODICEMAF = '1362945'
--and ISIN = 'IE00B42Z5J44'

--delete from c6staging.spb_contr_sintesi
--where codicefiscale = 'FZAMRA55C50H501E'
--and CODICEMAF = '1362945'
--and ISIN = 'IE00B42Z5J44'



	DECLARE @ID_ELAB INT
	DECLARE @TIPO_ELAB VARCHAR(1)

	SET @ID_ELAB = C6MART.GETIDELAB()
	SET @TIPO_ELAB = C6MART.GETTIPOELAB()
	

	-- Log esecuzione
	INSERT INTO LOG_ESECUZIONE
		(Nome, Inizio, Nota)
	VALUES (
		'RP_DM_PATRIMONIO_BF_1',
		GETDATE(),
		'Elaborazione giornaliera'
	)

	--TRUNCATE TABLE C6MART.PATRIMONIO_BF
	DELETE FROM C6MART.PATRIMONIO_BF

	
	TRUNCATE TABLE C6Staging.RP_Consulenza


--Ricerco dati da Pianificazione
 SELECT
	contr.chiaveClientePB --V usata per il join con la contratto_sei metadati per fare il filtro nella consulenza
	,contr.rete
	,contr.cod_fiscale
	,pirmod.nomeProgetto
	--,pian.chiaveClientePB --V usata per il join con la contratto_sei metadati per fare il filtro nella consulenza
	,pro.chiaveProgetto
	,pro.area
	,pro.tipoProgetto
	,catprod.azob as StrType
	,catprod.Complessita
	,emit.Descrizione AS DescrizioneEmittente
	,PosPor.conto
	,PosPor.rubricato
	,PosPor.codConf
	,PosPor.numPolizza
	,PosPor.custGar
	,catprod.TipoProdotto
	,catprod.CodSottoprodotto
	,catprod.CodInterno
	,catprod.CodMaf
	,catprod.CodIsin
	,'' as position_id
    ,termId 
	,anno 
	,prog 

INTO #TempPianif
FROM
		C6Staging.RP_Pianificazione AS pian
	INNER JOIN C6Staging.RP_Progetto AS pro
		ON pian.chiaveConsulenza = pro.chiaveConsulenza
	INNER JOIN C6Staging.RP_ProgettiPiramideModello pirmod
		ON pro.chiaveprogettoMod=pirmod.chiaveprogettomod
	INNER JOIN C6Staging.RP_PosizioniPortafoglio AS pospor
		ON pro.chiaveProgetto = pospor.chiaveProgetto
	INNER JOIN C6Staging.RP_DettaglioPosizionePortafoglio AS dettposport
		ON pospor.chiavePosizionePtf = dettposport.chiavePosizionePtf
	INNER JOIN C6Staging.RP_CatalogoProdotti AS catprod
		ON pospor.chiaveProdotto = catprod.ChiaveProdotto
	LEFT JOIN C6Staging.RP_AnEmittente emit
         ON catprod.emittente=emit.emittente
    INNER JOIN C6Mart.VCONTRATTI contr
		ON pian.chiaveClientePB = contr.chiaveClientePB
	JOIN C6mart.contrattosei_metadati meta
		ON contr.chiaveClientePB = meta.chiaveClientePB 
		
	WHERE		 
	pospor.dtFineValidita > getdate()
	AND pro.dtfinevalidita='9999-12-31 00:00:00.000'
	AND pirmod.dtfinevalidita='9999-12-31 00:00:00.000'
	AND INVIOBENVENUTO = 'N'


INSERT INTO C6Staging.RP_Consulenza  
	SELECT * 
	FROM #TempPianif 

--UNION ALL	
----ricerco dati da Migrazione
--SELECT
--	contr.chiaveClientePB --V usata per il join con la contratto_sei metadati per fare il filtro nella consulenza
--	,contr.rete
--	,contr.cod_fiscale
--	,pirmod.nomeProgetto
--	--,mig.chiaveClientePB --V usata per il join con la contratto_sei metadati per fare il filtro nella consulenza
--	,promig.chiaveProgetto
--	,promig.area
--	,promig.tipoProgetto
--	,catprod.azob as StrType
--	,catprod.Complessita
--	,emit.Descrizione AS DescrizioneEmittente
--	,MigPos.conto
--	,MigPos.rubricato
--	,MigPos.codConf
--	,MigPos.numPolizza
--	,MigPos.custGar
--	,catprod.TipoProdotto
--	,catprod.CodSottoprodotto
--	,catprod.CodInterno
--	,catprod.CodMaf
--	,catprod.CodIsin
--	,'' as position_i
