-- Schema: C6StagingPeriodico
-- Stored Procedure: RP_ST_APPO_CONTRATTI_TEMP



CREATE procedure [C6StagingPeriodico].[RP_ST_APPO_CONTRATTI_TEMP]
AS

-- Log esecuzione
	INSERT INTO LOG_ESECUZIONE
		(Nome, Inizio, Nota)
	VALUES (
		'RP_ST_APPO_CONTRATTI',
		GETDATE(),
		'Elaborazione trimestrale'
	)

 declare @dtold datetime
 declare @dtpre datetime
 declare @dttrim  datetime
 
 
 set @dttrim = cast(c6martperiodico.getTrimestre2(getDate(), 1) as datetime)
 --INIZIO INTERVENTO MAU
 --set @dtpre = DATEADD(month, -1,@dttrim)
 --set @dtold = DATEADD(month, -3,@dttrim)
    set @dtold = DATEADD(month, -2,@dttrim)
 --FINE INTERVENTO MAU

 
 print @dttrim 
 print @dtpre 
 print @dtold
 

TRUNCATE TABLE ScartiQuadratura
 
 SELECT DISTINCT    
    CASE WHEN CF IS NULL THEN PIVA      
     WHEN CF IS NOT NULL AND PIVA IS NOT NULL THEN 'FF@'+CF
     ELSE CF
    END COD_FISCALE,
    RETE,
    CODICECONTRATTO,
    DATACHIUSURAAVANZATO AS DATA_FINEAVANZATO 
   INTO #DFA    
      FROM     
         [CONSEVO].consulenzaEvoluta.dbo.VCONTRATTIFINEAVANZATO
      
 --ESTRAIAMO TUTTI I CF CHE HANNO RICEVUTO IL REPORT DI BENVENUTO ENTRO L'ULTIMO GIORNO DEL MESE PRECEDENTE
 --AL MESE DI FINE TRIMESTRE (ES: PER IL 4 TRIMESTRE 01/10 - 31/12 REPORT DI BENVENUTO RICEVUTO ENTRO IL 30/11)  
 SELECT   
   PDF1.CODICEFISCALE AS CF,PDF1.RETE AS R,SUBSTRING(PDF1.NOMEFILE,0,12) AS C,PDF1.DATAGENERAZIONE AS D
   INTO #pdf1 
 FROM c6mart.gestione_PDF_ftp PDF1 
  WHERE 1=1
  AND DATAGENERAZIONE < @dttrim
  

  select a.* 
  into #DFA1 
  from #DFA a
  inner join (
  select c.*,max(data_fineavanzato) over (partition by rete,cod_fiscale) as data_max  
  from #DFA c
  inner join #pdf1 d
  on c.rete=d.R and c.cod_fiscale=d.CF and c.codicecontratto=d.C
  ) b
  on a.rete=b.rete and a.cod_fiscale=b.cod_fiscale and a.data_fineavanzato=b.data_fineavanzato 
  and a.data_fineavanzato=data_max
  
--  insert into #DFA1 
--  select a.*
--  from #DFA a
--  inner join (
--  select c.*,data_fineavanzato as data_max  
--  from #DFA c
  
--  inner join #pdf1 d
--  on c.rete=d.R and c.cod_fiscale=d.CF and c.codicecontratto=d.C
--  and c.codicecontratto
--  in 
--  (
-- '143422CO107'
--,'103587CO104'
--,'113740CO104'
--,'732251CO101'
--,'113741CO105'
--  )
--  ) b
--  on a.rete=b.rete and a.cod_fiscale=b.cod_fiscale and a.data_fineavanzato=b.data_fineavanzato 
--  and a.data_fineavanzato=data_max



 --ESTRAIAMO TUTTI I CONTRATTI NON REVOCATI (DATA REVOCA IMPOSTATA CON DEFAULT 99990131) E QUELLI CHE 
 --SONO STATI REVOCATI DURANTE IL TRIMESTRE OGGETTO DI TRIMESTRALE
 --(ES: PER IL 4 TRIMESTRE 01/10 - 31/12 TUTTI I CONTRATTI CHE RISULTANO NON REVOCATI + QUELLI CHE SONO STATI 
 --REVOCATO DOPO IL 30/09)  
 SELECT  DISTINCT P.* 
  INTO #PDF 
  FROM #PDF1 P 
  INNER JOIN #DFA1  VC
    ON  P.CF = VC.COD_FISCALE AND P.R=VC.RETE AND P.C=VC.CODICECONTRATTO      
    WHERE DATA_FINEAVANZATO >= @dtold 
         

select C.* 
INTO #CONGELATI
from 
#PDF P
INNER JOIN
   C6StagingPeriodico.ContrattiPreTrimestrale c 
ON P.R =  C.RETE
AND P.CF = C.COD_FISCALE
AND P.C = C.CODICECONTRATTO



select C.* 
INTO #CONGELATICHIUSI
from 
#PDF P
INNER JOIN
   [C6StagingPeriodico].[GetContrattiChiusiFromSEI] (
   c6MartPeriodico.getPreviousTrimestre(getDate(), 0), 
   c6martperiodico.getTrimestre(getDAte(), 0)) c 
ON
   P.R = c.RETE
AND 
   p.CF = case when len(c.CF) < 16 then 'FF@' + c.CF 
               when c.CF is null then c.PIVA
			   else c.CF END
AND P.C = C.COD_CONF
LEFT JOIN #CONGELATI CONG
ON P.R =  CONG.RETE
AND P.CF = CONG.COD_FISCALE
AND P.C = CONG.CODICECONTRATTO
WHERE CONG.RETE IS NULL

insert
INTO #CONGELATICHIUSI
select C.* 
from 
#PDF P
INNER JOIN
   [C6StagingPeriodico].[GetContrattiChiusiFromSEI] (
   c6MartPeriodico.getPreviousTrimestre(getDate(), 0), 
   '20151230') c 
ON
   P.R = c.RETE
AND 
   p.CF = case when len(c.CF) < 16 then 'FF@' + c.CF 
               when c.CF is null then c.PIVA
			   else c.CF END
AND 
