-- Schema: C6StagingPeriodico
-- Stored Procedure: RP_ST_CREA_POSITIONID_BK_eligoTitoli




--
--select * from c6stagingperiodico.spb_contr_sintesi
--where positionId is null

-- =============================================
-- Author:		<Author,,Name>
-- Create date: <Create Date,,>
-- Description:	<Description,,>
-- =============================================
CREATE procedure [C6StagingPeriodico].[RP_ST_CREA_POSITIONID_BK_eligoTitoli]
AS
BEGIN

	SET NOCOUNT ON;

	-- Log esecuzione
	INSERT INTO LOG_ESECUZIONE
		(Nome, Inizio, Nota)
	VALUES (
		'RP_ST_CREA_POSITIONID_1',
		GETDATE(),
		'Elaborazione trimestrale'
	)
	
	--********************************************************************************************
--select * from c6stagingperiodico.rp_catalogoprodotti

-- FC 05052014
-- Interventi :
				-- Eliminata ( commentata ) where condition spb.positionid is null
				-- Eliminato ( commentato ) ciclo While @Visible 

update C6StagingPeriodico.SPB_CONTR_SINTESI
set positionid = null

	declare @visible int 
	set @visible = 1
--	while @visible >= 0
--		begin

			update C6StagingPeriodico.SPB_CONTR_SINTESI
			set positionid = catalogueid 
			FROM 
			C6StagingPeriodico.SPB_CONTR_SINTESI SPB inner join 
			(
			select * from c6stagingperiodico.rp_catalogoprodotti where visibilita = @visible
			)CAT
			on  
			--caso 1
			(SPB.TipProd in ('FI', 'GE', 'ASUL', 'ASU1', 'ASVI', 'ASCM', 'AC','CC')
			and SPB.subprod not in ('LIQUI', 'VAR5', 'VAR10', 'VAR15', 'L191')
			and isnull(cat.CODINTERNO,'') = isnull(spb.CODINT,'')
			and isnull(cat.CODSOTTOPRODOTTO,'') = isnull(spb.SUBPROD,''))
			or 
			--else caso 1 
			(SPB.TipProd in ('FI', 'GE', 'ASUL', 'ASU1', 'ASVI', 'ASCM', 'AC','CC')
			and SPB.subprod in ('LIQUI', 'VAR5', 'VAR10', 'VAR15', 'L191')
			and isnull(cat.CODINTERNO,'') = isnull(spb.CODINT,'')
			and isnull(cat.CODSOTTOPRODOTTO,'') = isnull(spb.SUBPROD,'')
			and cat.TIPOPRODOTTO = SPB.TipProd 
			)
			or
			--caso 2
--			(SPB.TipProd in ('ASU2')
			(SPB.TipProd in ('ASU2','GP')
			and isnull(cat.CODINTERNO,'') = isnull(spb.CODINT,'')
			and isnull(cat.CODSOTTOPRODOTTO,'') = isnull(spb.SUBPROD,'')
			and isnull(cat.codisin,'')  = case when isnull(spb.ISIN,'') = 'NA' then '' else isnull(spb.ISIN,'') end
			)
			or
			--caso 3
			(SPB.TipProd in ('DT','ASD')
			and isnull(cat.CODINTERNO,'') = isnull(spb.CODINT,'')
			)
			or
			--caso 4
			(SPB.TipProd in ('GES')
			and isnull(cat.CODINTERNO,'') = isnull(spb.CODINT,'') 
			and isnull(cat.CODMAF,'') = isnull(spb.MAF,'')
			)
--			--caso 5
--			or
--			(SPB.isin = 'EURO00000009'
--			and isnull(cat.CODINTERNO,'') = isnull(spb.CODINT,'')
--			and isnull(cat.CODSOTTOPRODOTTO,'') = isnull(spb.SUBPROD,'')
--			and isnull(cat.codisin,'')  = case when isnull(spb.ISIN,'') = 'NA' then '' else isnull(spb.ISIN,'') end
--			)
            

--			where spb.positionid is null
--			set @visible = @visible - 1
--		end

	-- Log esecuzione
	UPDATE
		LOG_ESECUZIONE
	SET
		Fine = GETDATE(),
		Tipo = 'UPDATE',
		Righe = @@ROWCOUNT
	WHERE
		Nome = 'RP_ST_CREA_POSITIONID_1' AND
		Inizio = (
			SELECT
				MAX(Inizio)
			FROM
				LOG_ESECUZIONE
			WHERE
				Nome = 'RP_ST_CREA_POSITIONID_1'
		)
    --********************************************************************************************

    -- Log esecuzione
	INSERT INTO LOG_ESECUZIONE
		(Nome, Inizio, Nota)
	VALUES (
		'RP_ST_CREA_POSITIONID_2',
		GETDATE(),
		'Elaborazione trimestrale'
	)
	-- drop table #TAB1
	SELECT distinct
		TIPPROD,
		CODINT,
		MAF,
		CASE WHEN ISIN = 'NA' THEN '' ELSE ISIN END AS CODISIN,
		SUBPROD,
		POSITIONID,
		RETE,
		codfis
	INTO #TAB1	 
	FROM C6StagingPeriodico.SPB_CONTR_SINTESI where POSITIONID IS NULL	

	UPDATE  #TAB1
		SET POSITIONID = C6STAGINGPERIODICO.RP_INFO_DAPRODOTTOCSACATALOGO (
						TIPPROD, 
						CODINT, 
						MAF, 			
						CODISIN,
						SUBPROD
						)   
					  
					
	UPDATE 	C6StagingPeriodico.SPB_CONTR_SINTESI
			SET POSITIONID = t.POSIT
